/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<netdb.h>
#include	<errno.h>


void
init_resolv()
{
}

int
_endhostent_r()
{
	return endhostent();
}


int
_sethostent_r(int stayopen)
{
	return sethostent(stayopen);
}

struct hostent *
_gethostbyaddr_r(
	char *		addr,
	int		len,
	int		type,
	struct hostent * h_hp,
	char *		h_buf,
	int		h_size,
	int *		er)
{
	return gethostbyaddr_r(
		addr,len,type,h_hp,h_buf,h_size,er);
}
